View Issue Details

IDProjectCategoryView StatusLast Update
14219Bug reports[All Projects] Response browsingpublic2018-11-12 17:20
ReporterDenisChenuAssigned ToDenisChenu 
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version3.15.x 
Target VersionFixed in Version 
Summary14219: Unable to quick delete reponse with urlFormat to get
Description

When use 'urlFormat' => 'get', for urlManager (ngynx for example) : the delete button didn't work.

Steps To Reproduce

Set your 'urlFormat' => 'get' in config.
Browse response, click on delete
grid reload
response still there

Additional Information

I try to fix url, but with convertGETtoPOST(App()->createUrl("admin/responses/sa/actionDelete",array('surveyid' => self::$sid,'sResponseId' => $this->id))) this goes to a broken link (400 error) => no route are set

I really think convertGETtoPOST function must be avoided it's really an old function (and broken).

TagsNo tags attached.
Complete LimeSurvey version number (& build)3.15.1 github
I will donate to the project if issue is resolvedNo
Browsernot relevant
Database & DB-Versionnot relevant
Operating System (Server)not relevant
Webserver software & versionnot relevant
PHP Versionnot relevant

Relationships

related to 14221 assignedDenisChenu No XSS control when delete a token 
related to 14222 assignedDenisChenu When deleting a single response : all page is reloaded and current filter lost 
related to 14159 resolvedDenisChenu Cannot delete response 

Activities

DenisChenu

DenisChenu

2018-11-06 22:50

developer   ~49560

Remind to use POST value :)

DenisChenu

DenisChenu

2018-11-12 17:20

developer   ~49616

Fix committed to master_fixDeleteResponse_urlget branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=28502

Related Changesets

LimeSurvey: master_fixDeleteResponse_urlget a2c478e6

2018-11-08 09:30:42

DenisChenu

Details Diff
Fixed issue 14219: Unable to quick delete reponse with urlFormat to get
Fixed issue 14222: When deleting a single response : all page is reloaded (not only grid)
Dev: usage of CButtonColumn
Dev: return real error, show it in alert
Dev: LS need a system to show result after ajax …
Dev: i don't find it
mod - application/controllers/admin/responses.php Diff File
mod - application/helpers/admin/ajax_helper.php Diff File
mod - application/models/SurveyDynamic.php Diff File
mod - application/views/admin/responses/listResponses_view.php Diff File
mod - assets/scripts/admin/listresponse.js Diff File

Issue History

Date Modified Username Field Change
2018-11-06 18:19 DenisChenu New Issue
2018-11-06 22:49 DenisChenu Relationship added related to 14221
2018-11-06 22:50 DenisChenu Note Added: 49560
2018-11-06 22:55 DenisChenu Relationship added related to 14222
2018-11-09 18:35 DenisChenu Relationship added related to 14159
2018-11-09 19:24 DenisChenu Assigned To => DenisChenu
2018-11-09 19:24 DenisChenu Status new => assigned
2018-11-11 19:09 DenisChenu Status assigned => closed
2018-11-11 19:09 DenisChenu Resolution open => duplicate
2018-11-12 17:20 DenisChenu Changeset attached => LimeSurvey master_fixDeleteResponse_urlget a2c478e6
2018-11-12 17:20 DenisChenu Note Added: 49616
2018-11-12 17:20 DenisChenu Resolution duplicate => fixed